note
	description: "Summary description for {WEATHER_STATION}."
	author: "Jonathan S. Ostroff and Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

class
	WEATHER_STATION

create
	make

feature
	cc: CURRENT_CONDITIONS
	fd: FORECAST
	sd: STATISTICS
	wd: WEATHER_DATA

	make
		do
			create wd.make (9, 75, 25)

			create cc.make (wd)
			create fd.make (wd)
			create sd.make(wd)

			io.new_line
			-- Update the weather data.
			wd.set_measurements (15, 60, 30.4)
			cc.display
			fd.display
			sd.display
			print("-----------%N")

			-- No update on the weather data.
			cc.display -- will still call cc.update
			fd.display -- will still call fd.update
			sd.display -- will still call sd.update
			print("-----------%N")

			-- Update the weather data.
			wd.set_measurements (11, 90, 20)
			cc.display
			fd.display
			sd.display
			print("-----------%N")
		end
end
